<?php

use Laravel\Lumen\Testing\DatabaseMigrations;
use Laravel\Lumen\Testing\DatabaseTransactions;

class PhotosTest extends TestCase
{
    use DatabaseTransactions;

    public function testCreatePhotoWithoutAuth()
    {
        $this->post('/photos');
        $this->seeStatusCode(401);
        $this->seeJson([
          'error' => 'Token not provided.'
        ]);
    }

    public function testDeletePhotoWithoutAuth()
    {
        $this->delete('/photos/1');
        $this->seeStatusCode(401);
        $this->seeJson([
          'error' => 'Token not provided.'
        ]);
    }
}
